;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          package.lisp
;;;; Purpose:       Package definition file for cl-couchdb
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-couchdb, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-couchdb users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(defpackage :cl-couchdb
  (:use :cl)
  (:documentation "A Common Lisp front-end for working with CouchDb.")
  (:export
   
   ;; API

   #:couch
   #:couch-host
   #:couch-port
   #:make-couch

   #:version

   ;; DB API

   #:list-db
   #:create-db
   #:delete-db
   #:info-db

   ;; Document API

   #:list-documents
   #:save-document
   #:open-document
   #:delete-document
   #:view-document

   ;; View API

   #:add-view

   ;; Conditions 
   
   #:cl-couchdb-error          
   #:couch-request-error 
   #:couch-connection-error
   #:couch-database-already-exists-error
   #:couch-database-doesnt-exists-error

   ;; Misc

   #:*debug*

   #:*print-couch*

   ))



