;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          specials.lisp
;;;; Purpose:       cl-couchdb specials informations.
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-couchdb, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-couchdb users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(in-package :cl-couchdb)


(defparameter *debug* nil
  "When T, active more informations.")


(defparameter *print-couch* nil
  "If T, modify the printed representation of cl-couch objects.")


(defparameter *content-type* "application/json"
  "Content-type for the CouchDB server requests.")


(defparameter *couchdb-port* 8888
  "The default port of the CouchDB server.")


;; CouchDB URIs

(defparameter *version-uri* "")

(defparameter *list-db-uri* "_all_dbs")

(defparameter *create-db-uri* "~A/")

(defparameter *delete-db-uri* "~A/")

(defparameter *info-db-uri* "~A/")

(defparameter *list-docs-uri* "~A/_all_docs~A")

(defparameter *put-doc-uri* "~A")

(defparameter *open-doc-uri* "~A/~A")

(defparameter *delete-doc-uri* "~A/~A")

(defparameter *view-doc-uri* "~A/~A") ;;"~A/~A:~A")



