;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          server.lisp
;;;; Purpose:       Unit Tests for the CouchDB server interaction.
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-couchdb, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-couchdb users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(in-package :cl-couchdb-test)


(defparameter *couch*
  (make-instance 'cl-couchdb:couch :host "localhost" :port 8888))


(lisp-unit:define-test server-informations
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "version"
                            (cl-couchdb:version *couch*))
      (incf sum))
    (lisp-unit:assert-true (= sum 1))))


(lisp-unit:define-test server-unavailable
  (let ((*couch* (make-instance 'cl-couchdb:couch :host "localhost" :port 9999)))
    (lisp-unit:assert-error
     'cl-couchdb:couch-connection-error
     (cl-couchdb:version *couch*))))

  